#include <Wire.h> // must be included here so that Arduino library object file references work
#include <RtcDS1307.h>
RtcDS1307<TwoWire> Rtc(Wire);

const int red =4; 
const int green =5; 
const int sblue = 6 ; 
const int blue1 = 9 ; 
const int blue2 =  10; 
const int uv=  11; 
const int Warm white=  3; 
const int Cold White White = 2 ;


void setup () 
{
    Serial.begin(57600);
    Serial.print("compiled: ");
    Serial.print(__DATE__);
    Serial.println(__TIME__);

    //--------RTC SETUP ------------
    // if you are using ESP-01 then uncomment the line below to reset the pins to
    // the available pins for SDA, SCL
     Wire.begin(4,5); // due to limited pins, use pin 0 and 2 for SDA, SCL
    Rtc.Begin();
    RtcDateTime compiled = RtcDateTime(__DATE__, __TIME__);
    printDateTime(compiled);
    Serial.println();
    if (!Rtc.IsDateTimeValid()) 
    {
        // Common Cuases:
        //    1) first time you ran and the device wasn't running yet
        //    2) the battery on the device is low or even missing

        Serial.println("RTC lost confidence in the DateTime!");

        // following line sets the RTC to the date & time this sketch was compiled
        // it will also reset the valid flag internally unless the Rtc device is
        // having an issue

        Rtc.SetDateTime(compiled);
    }

    if (!Rtc.GetIsRunning())
    {
        Serial.println("RTC was not actively running, starting now");
        Rtc.SetIsRunning(true);
    }

    RtcDateTime now = Rtc.GetDateTime();
    if (now < compiled) 
    {
        Serial.println("RTC is older than compile time!  (Updating DateTime)");
        Rtc.SetDateTime(compiled);
    }
    else if (now > compiled) 
    {
        Serial.println("RTC is newer than compile time. (this is expected)");
    }
    else if (now == compiled) 
    {
        Serial.println("RTC is the same as compile time! (not expected but all is fine)");
    }

    // never assume the Rtc was last configured by you, so
    // just clear them to your needed state
    Rtc.SetSquareWavePin(DS1307SquareWaveOut_Low); 
}

void loop () 
{
    if (!Rtc.IsDateTimeValid()) 
    {
        // Common Cuases:
        //    1) the battery on the device is low or even missing and the power line was disconnected
        Serial.println("RTC lost confidence in the DateTime!");
    }

    RtcDateTime now = Rtc.GetDateTime();

    printDateTime(now);
   

   // ten seconds
}

#define countof(a) (sizeof(a) / sizeof(a[0]))

void printDateTime(const RtcDateTime& dt)
{
    char datestring[20];

    snprintf_P(datestring, 
            countof(datestring),
           PSTR("%02u"),
         
            dt.Hour()
           // dt.Minute()
             );
 Serial.println(datestring);
if((strcmp(datestring,"06") == false )||(strcmp(datestring,"23") == false ))
     {    

Serial.println("0,0,0,0,0");
  analogWrite(red,0);
  analogWrite(green,0); 
  analogWrite(sblue,0);
  analogWrite(blue1,0);
  analogWrite(blue2,0);
  analogWrite(uv,0);
  analogWrite(Warm white,0);
  analogWrite(Cold White White,0);
    } 
    if((strcmp(datestring,"07") == false )||(strcmp(datestring,"08") == false )||(strcmp(datestring,"10") == false )||(strcmp(datestring,"09") == false ))
     {

Serial.println("8,8,30,10,15");
  analogWrite(red,82);
  analogWrite(green,82); 
  analogWrite(sblue,102);
  analogWrite(blue1,307);
  analogWrite(blue2,307);
  analogWrite(uv,102);
  analogWrite(Warm white,154);
  analogWrite(Cold White White,154);
 
    } 
  if((strcmp(datestring,"11") == false )||(strcmp(datestring,"12") == false )||(strcmp(datestring,"13") == false )||(strcmp(datestring,"14") == false )||(strcmp(datestring,"15") == false )||(strcmp(datestring,"16") == false ))
     {

Serial.println("15,15,80,20,35");
  analogWrite(red,154);
  analogWrite(green,154); 
  analogWrite(sblue,205);
  analogWrite(blue1,818);
  analogWrite(blue2,818);
  analogWrite(uv,205);
  analogWrite(Warm white,359);
  analogWrite(Cold White White,359);
 
} 
if((strcmp(datestring,"17") == false )||(strcmp(datestring,"18") == false ))
{
Serial.println("8,8,50,10,25");
  analogWrite(red,82);
  analogWrite(green,82); 
  analogWrite(sblue,102);
  analogWrite(blue1, 512);
  analogWrite(blue2, 512);
  analogWrite(uv,102);
  analogWrite(Warm white,256);
  analogWrite(Cold White White,256);
 
 } 
if((strcmp(datestring,"19") == false )||(strcmp(datestring,"20") == false )||(strcmp(datestring,"21") == false )||(strcmp(datestring,"22") == false ))
{
Serial.println("0,3,5,10,3");
  analogWrite(red,0);
  analogWrite(green,31); 
  analogWrite(sblue,102);
  analogWrite(blue1,52);
  analogWrite(blue2,52);
  analogWrite(uv,102);
  analogWrite(Warm white,31);
  analogWrite(Cold White White,31);
 } 
}
